<script setup lang="ts">
import NavBar from "@/components/navbar/NavBar.vue";
import FooterBar from "@/components/FooterBar.vue";
</script>

<template>
  <section id="s">
    <NavBar />
    <slot name="header"></slot>
    <div class="flex-grow flex flex-col items-center p-2">
      <div
        class="flex flex-col flex-grow w-full lg:max-w-5xl 2xl:max-w-7xl items-center"
      >
        <slot></slot>
      </div>
    </div>
    <FooterBar />
  </section>
</template>

<style scoped>
#s {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}
</style>
